function schcp = set(schcp,varargin)
% SET Set properties and return the updated lpm-object
property_argin = varargin;
while length(property_argin) >= 2,
    prop = property_argin{1};
    val = property_argin{2};
    property_argin = property_argin(3:end);
    switch prop
    case 'N'
        schcp.N = val;
    case 'Q'
        schcp.Q = val;
    case 'lpm'
        schcp.lpm = val;
    case 'bp'
        schcp.bp = val;
    case 'rp'
        schcp.rp = val;
    case 'Vmin'
        schcp.Vmin = val;
    case 'Vmax'
        schcp.Vmax = val;
    case 'tol'
        schcp.lpm = set(schcp.lpm,'tol',val);   
        [schcp.bp,schcp.rp,schcp.Vmin,schcp.Vmax]=get_ppm(schcp,'partitions');
    otherwise
        error('LPM10 properties: schrod, tol, p, q, cpm, bp, rp, Vmin, Vmax, truncated')
    end
end