function val = get(schlp,prop_name)
% GET Get properties from the specified lpm10-object
% and return the value
switch prop_name
case 'N'
    val = schlp.N;
case 'Q'
    val = schlp.Q;
case 'lpm'
    val = schlp.lpm;
case 'bp'
    val = schlp.bp;
case 'rp'
    val = schlp.rp;
case 'Vmin'
    val = schlp.Vmin;
case 'Vmax'
    val = schlp.Vmax;
case 'schrod'
    val = get(schlp.lpm,'schrod');
case 'tol'
    val = get(schlp.lpm,'tol'); 
case 'emin'    
    val = schlp.emin;
case 'emax'    
    val = schlp.emax;    
otherwise
    error([prop_name,' Is not a valid property of a lpm10-object'])
end