function val = get(r,prop_name)
% GET Get properties from the specified schrodinger-object
% and return the value
switch prop_name
case 'V'
    val = r.V;
case 'min'
    val = r.min;
case 'max'
    val = r.max;
case 'a0'
    val = r.a0;
case 'b0'
    val = r.b0;
case 'a1'
    val = r.a1;
case 'b1'
    val = r.b1;   
otherwise
    error([prop_name,' Is not a valid property of a schrodinger-object'])
end